summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbrent s2015-05-24 03:34:22 -0400
committerbrent s2015-05-24 03:34:22 -0400
commit5571cc9108e3b6425f07aa0cd6ebc3e9c99d252a (patch)
tree8f1721dbccb6887d70e306e721309ca83c529f25
downloadaur-5571cc9108e3b6425f07aa0cd6ebc3e9c99d252a.tar.gz
initial commit/convert from AUR3
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD26
2 files changed, 38 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a930065df04
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = quake2world-data-git
+ pkgdesc = A free, stand-alone, multiplayer-only iteration of Quake2 (game data)
+ pkgver = r408.1324b25
+ pkgrel = 1
+ url = http://quetoo.org
+ arch = any
+ license = GPL
+ source = git+https://github.com/jdolan/quake2world-data.git
+ md5sums = SKIP
+
+pkgname = quake2world-data-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b0f14b3cffd
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: brent saner <bts@square-r00t.net>
+
+pkgname=quake2world-data-git
+pkgver=r408.1324b25
+pkgrel=1
+pkgdesc="A free, stand-alone, multiplayer-only iteration of Quake2 (game data)"
+arch=('any')
+url="http://quetoo.org"
+license=('GPL')
+source=(git+https://github.com/jdolan/quake2world-data.git)
+md5sums=('SKIP')
+#depends=('quake2world-git')
+_pkgname=quake2world-data
+
+pkgver() {
+ cd "${srcdir}/${_pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ install -d -m 0755 "${pkgdir}"/usr/share/quake2world
+ cp -a ${srcdir}/quake2world-data/target/. ${pkgdir}/usr/share/quake2world
+}